
QGIS Application - Bug report #16551

Zoom to layer doesn't work

2017-05-15 06:28 PM - David BAUJON

Status: Closed

Priority: Normal

Assignee:

Category: Map Canvas

Affected QGIS version:2.18.7 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: not reproducable

Crashes QGIS or corrupts data:No Copied to github as #: 24457

Description

Hello,

I have a .qgs with a shp (2 points in my shp).

I edit the shp with a new point.

I close the .qgs without recording.

I open the .qgs.

I zoom on layer. The extent is always the extent recording at the beginning in the project (on my 2 points)

Try, it's the same thing on all computer

Thanks,

History

#1 - 2017-05-15 06:30 PM - Giovanni Manghi

- Category changed from Processing/QGIS to Map Canvas

- Priority changed from High to Normal

- Regression? changed from Yes to No

- Status changed from Open to Feedback

- Assignee deleted (Victor Olaya)

Please attach project and sample data, thanks.

#2 - 2017-05-15 06:37 PM - David BAUJON

- File test.zip added

#3 - 2017-05-15 11:54 PM - Giovanni Manghi

where is the issue?

if the project is saved to a certain extent then it won't change (if now re saved) even if the extent of the layers is bigger (or get bigger).

#4 - 2017-05-16 10:15 AM - David BAUJON
Hello,

I'm OK with u.

The issue is : when you open my project "test.qgs", the extent show 2 points. So, I zoom to layer "test" and nothing happens. 

It should change the extended and show my 3 points

My last version of QGIS was the 2.6. It work.

#5 - 2017-05-16 10:33 AM - Giovanni Manghi

- Status changed from Feedback to Open

- Operating System deleted (Windows 8.1)

- Affected QGIS version changed from 2.14.13 to 2.18.7

- Subject changed from Zoom to layer don't work after editing layer in a .qgs project - QGIS 2.14.13 to Zoom to layer don't work

I see, there is also no need to edit the layer. The "zoom to layer" function to not work in your provided point layer/project.

#6 - 2017-05-21 06:56 AM - Eron Lloyd

- File Screen Shot 2017-05-21 at 12.53.17 AM.png added

- File Screen Shot 2017-05-21 at 12.53.30 AM.png added

I can confirm this as well for 2.18.7 on OS X, official build. I have a GeoPackage with a point layer that has five features, but only will zoom to the first

three. However, when I duplicate the layer and zoom to that layer, it behaves as expected. I've attached screenshots, with the duplicated points offset to

compare.

#7 - 2017-05-21 10:07 AM - Giovanni Manghi

Eron Lloyd wrote:

I can confirm this as well for 2.18.7 on OS X, official build. I have a GeoPackage with a point layer that has five features, but only will zoom to the

first three. However, when I duplicate the layer and zoom to that layer, it behaves as expected. I've attached screenshots, with the duplicated points

offset to compare.

please provide sample data.

#8 - 2017-05-21 10:08 AM - Giovanni Manghi

- Status changed from Open to Feedback

#9 - 2017-05-23 08:29 AM - Jürgen Fischer

- Subject changed from Zoom to layer don't work to Zoom to layer doesn't work

#10 - 2017-09-25 04:42 PM - Giovanni Manghi

- Resolution set to not reproducable

- Status changed from Feedback to Closed
Closing for lack of feedback, please reopen if necessary.

Files

test.zip 6.64 KB 2017-05-15 David BAUJON

Screen Shot 2017-05-21 at 12.53.30 AM.png 158 KB 2017-05-21 Eron Lloyd

Screen Shot 2017-05-21 at 12.53.17 AM.png 155 KB 2017-05-21 Eron Lloyd
